<?xml version="1.0" encoding="UTF-8"?>

<!-- Custom Model -->

<!-- Note: This model is pre-configured to load at startup of the Repository. 
	So, all custom -->
<!-- types and aspects added here will automatically be registered -->

<model name="fg:fgModel" xmlns="http://www.alfresco.org/model/dictionary/1.0">

	<!-- Optional meta-data about the model -->
	<description>Custom Model Fattura Acquisti CASAGIT</description>
	<author>Cristian Del Carlo</author>
	<version>1.0</version>

	<imports>
		<!-- Import Alfresco Dictionary Definitions -->
		<import uri="http://www.alfresco.org/model/dictionary/1.0"
			prefix="d" />
		<!-- Import Alfresco Content Domain Model Definitions -->
		<import uri="http://www.alfresco.org/model/content/1.0" prefix="cm" />
	</imports>

	<!-- Introduction of new namespaces defined by this model -->
	<!-- NOTE: The following namespace custom.model should be changed to reflect 
		your own namespace -->

	<namespaces>
		<namespace uri="http://93.233.24.124/model/content/1.0"	prefix="fg" />
	</namespaces>

	<types>
		<type name="fg:FatturaAcquistiCasagit">
			<title>Fattura Acquisti CASAGIT</title>
			<parent>cm:content</parent>
			<mandatory-aspects>
				<aspect>fg:CASAGIT_AspettoFattura</aspect>
			</mandatory-aspects>
		</type>
	</types>

	<aspects>
		<aspect name="fg:CASAGIT_AspettoFattura">
			<title>Dati Fattura Acquisti CASAGIT</title>
			<properties>
				<property name="fg:CodiceFornitore">
					<title>Codice Fornitore</title>
					<type>d:text</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fg:CodiceIdentificativo">
					<title>Codice Identificativo</title>
					<type>d:text</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fg:DataDocumento">
					<title>Data Documento</title>
					<type>d:date</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fg:NRoFattura">
					<title>Numero Fattura</title>
					<type>d:text</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fg:DataScadenza">
					<title>Data Scadenza</title>
					<type>d:date</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fg:NomeFornitore">
					<title>Nome Fornitore</title>
					<type>d:text</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fg:Imponibile">
					<title>Imponibile</title>
					<type>d:double</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fg:Iva">
					<title>Iva</title>
					<type>d:double</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fg:Bollo">
					<title>Bollo</title>
					<type>d:double</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fg:RitenutaAcconto">
					<title>Ritenuta Acconto</title>
					<type>d:double</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fg:TotaleFattura">
					<title>Totale Fattura</title>
					<type>d:double</type>
					<mandatory>false</mandatory>
				</property>
				<property name="fg:ProtContabSap">
					<title>ProtContabSap</title>
					<type>d:text</type>
					<mandatory>false</mandatory>
				</property>
			</properties>
		</aspect>
	</aspects>
</model>
